import json


class Port:
    def __init__(self,
                 id,
                 network_id,
                 device_id,
                 security_group_ids,
                 name,
                 status,
                 created_at
                 ) -> None:
        super().__init__()

        self.id = id
        self.network_id = network_id
        self.device_id = device_id
        self.security_group_ids = security_group_ids
        self.name = name
        self.status = status
        self.created_at = created_at

    def __str__(self) -> str:
        return self.toJSON()

    def toJSON(self):
        return json.dumps(self.__dict__)
